[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCustomConnection.Connected

Is the connection established or not

## Declaration

Source position: db.pas line 2036

`published property TCustomConnection.Connected : Boolean read GetConnected write SetConnected;`

## Description

Connected is True if the connection to the server is established, False if it is disconnected. The property can be set to True to establish a connection (equivalent to calling TCustomConnection.Open, or to False to break it (equivalent to calling TCustomConnection.Close.

## See also

TCustomConnection.Open |  | Makes the connection to the server
TCustomConnection.Close |  | Close the connection